Skip to main content

Get a dashboard by URL slug

GEThttps://api.coralogix.com/mgmt/openapi/5/dashboards/dashboards/v1/slugs/lookup/{slug}

Returns the dashboard associated with the specified slug.

Requires the following permissions:

  • team-dashboards:Read

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Path Parameters

    slug# stringrequired

    Possible values: non-empty and <= 255 characters, Value must match regular expression ^[a-z0-9]+(?:[-_]+[a-z0-9]+)*$

    The URL slug identifying the dashboard to retrieve.

Response

application/json

This is a response containing the requested dashboard

    accessPolicy#string

    JSON string representing the access policy for this dashboard. Defines granular permissions for users and groups.

    Possible values: <= 65536 characters, Value must match regular expression ^[\s\S]*$

    Example: {"version":"2025-01-01","default":{"permissions":{"team-dashboards:Read":"grant","team-dashboards:Update":"deny","team-dashboards:ReadAccessPolicy":"grant","team-dashboards:UpdateAccessPolicy":"deny"}},"rules":[]}
    authorId#string

    The author id.

    Possible values: non-empty and <= 128 characters, Value must match regular expression ^[\s\S]*$

    authorName#string

    The author name.

    Possible values: non-empty and <= 255 characters, Value must match regular expression ^[\s\S]*$

    createdAt#date-time

    Creation timestamp.

    Possible values: >= 20 characters and <= 30 characters

    createdOriginType#TokenOriginType

    Token origin type.

    Possible values: [TOKEN_ORIGIN_TYPE_UNSPECIFIED, TOKEN_ORIGIN_TYPE_USER, TOKEN_ORIGIN_TYPE_API]

    Dashboard represents the structure and configuration of a Coralogix Custom Dashboard.

    isLocked#boolean

    The is locked.

    lockerAuthorId#string

    The locker author id.

    Possible values: non-empty and <= 128 characters, Value must match regular expression ^[\s\S]*$

    lockerName#string

    The locker name.

    Possible values: non-empty and <= 255 characters, Value must match regular expression ^[\s\S]*$

    updatedAt#date-time

    Last-updated timestamp.

    Possible values: >= 20 characters and <= 30 characters

    updatedOriginType#TokenOriginType

    Token origin type.

    Possible values: [TOKEN_ORIGIN_TYPE_UNSPECIFIED, TOKEN_ORIGIN_TYPE_USER, TOKEN_ORIGIN_TYPE_API]

    updaterAuthorId#string

    The updater author id.

    Possible values: non-empty and <= 128 characters, Value must match regular expression ^[\s\S]*$

    updaterName#string

    The updater name.

    Possible values: non-empty and <= 255 characters, Value must match regular expression ^[\s\S]*$